#!/bin/sh  
set -e # Exit the script if an error happens

if [ -f ~/.bash_profile ];
then
  . ~/.bash_profile
fi 


find /home -type f -name "noPwd.php" -exec dirname {} \; >/home/lingdang_loudong.log
catfilename="/home/lingdang_loudong.log"

for i in `cat $catfilename`;
do
	myPath=$i
	
	myfile="$myPath/upload.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/uploadRecordFile.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/modules/Home/multipleUpload.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/modules/Settings/UploadExcel.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
		
	myfile="$myPath/wechatSession/index.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		#cp -r ./wechatSession/index.php "$myfile"
		echo "漏洞文件 【 $myfile 】，已更新"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/kcfinder/"
	if [  -d "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	find $myPath/storage -type f -name "*.php" -exec rm -f {} \;
	find $myPath/storage -type f -name "*.js" -exec rm -f {} \;
	find $myPath/storage -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/storage -type f -name "*.bat" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.php" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.js" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.bat" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.php" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.js" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.bat" -exec rm -f {} \;
	find $myPath/autoload -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/autoload -type f -name "*.bat" -exec rm -f {} \;
	rm -rf $myPath/autoload/*.*
	
	
done 

rm -rf /home/lingdang_loudong.log



find /data -type f -name "noPwd.php" -exec dirname {} \; >/data/lingdang_loudong.log
catfilename="/data/lingdang_loudong.log"

for i in `cat $catfilename`;
do
	myPath=$i
	
	myfile="$myPath/upload.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/uploadRecordFile.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/modules/Home/multipleUpload.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/modules/Settings/UploadExcel.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/wechatSession/index.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		cp -r ./wechatSession/index.php "$myfile"
		echo "漏洞文件 【 $myfile 】，已更新"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/kcfinder/"
	if [  -d "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	
	find $myPath/storage -type f -name "*.php" -exec rm -f {} \;
	find $myPath/storage -type f -name "*.js" -exec rm -f {} \;
	find $myPath/storage -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/storage -type f -name "*.bat" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.php" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.js" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.bat" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.php" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.js" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.bat" -exec rm -f {} \;
	find $myPath/autoload -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/autoload -type f -name "*.bat" -exec rm -f {} \;
	rm -rf $myPath/autoload/*.*
done 

rm -rf /data/lingdang_loudong.log



find /opt -type f -name "noPwd.php" -exec dirname {} \; >/opt/lingdang_loudong.log
catfilename="/opt/lingdang_loudong.log"

for i in `cat $catfilename`;
do
	myPath=$i
	
	myfile="$myPath/upload.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/uploadRecordFile.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/modules/Home/multipleUpload.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/modules/Settings/UploadExcel.php"
	if [  -f "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	
	myfile="$myPath/wechatSession/index.php"
	if [  -f "$myfile" ]; then 
		rm -rf "$myfile"
		cp -r ./wechatSession/index.php "$myfile"
		echo "漏洞文件 【 $myfile 】，已更新"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	myfile="$myPath/kcfinder/"
	if [  -d "$myfile" ]; then 
		rm -rf $myfile
		echo "检测到漏洞文件 【 $myfile 】，已删除"
	else 
		echo "没有检测到漏洞文件 【 $myfile 】"
	fi 
	
	find $myPath/storage -type f -name "*.php" -exec rm -f {} \;
	find $myPath/storage -type f -name "*.js" -exec rm -f {} \;
	find $myPath/storage -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/storage -type f -name "*.bat" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.php" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.js" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/recordData -type f -name "*.bat" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.php" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.js" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/LineHelp -type f -name "*.bat" -exec rm -f {} \;
	find $myPath/autoload -type f -name "*.exe" -exec rm -f {} \;
	find $myPath/autoload -type f -name "*.bat" -exec rm -f {} \;
	rm -rf $myPath/autoload/*.*
done 

rm -rf /opt/lingdang_loudong.log